//
//
//    ui.h
//
//

#ifndef  __ui_h
#define  __ui_h

#include <string>
#include "logic.h"

bool        wasExitRequested   ();
void        printCommandPrompt ();
std::string inputCommand       ();

void processCommand (Automs& automs, Customers& customers, std::string command);

enum AutomFilter
{
    AUTOM_FILTER_ALL,
    AUTOM_FILTER_RENTED,
    AUTOM_FILTER_NOT_RENTED
};

void printAutom      (const Autom&  autom);
void printCustomer  (const Customer&  customer);
int  printAutomsAndReturnCount     (const Automs& automs, AutomFilter automFilter);
int  printCustomersAndReturnCount (const Customers& customers);


#endif
